This is the mail archive of the elfutils-devel@sourceware.org mailing list for the elfutils project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: [PATCH] libebl: Don't install libebl.a, libebl.h and remove backends from spec.


Hi Dmitry,

On Thu, 2020-01-09 at 02:25 +0300, Dmitry V. Levin wrote:
> On Wed, Jan 08, 2020 at 03:09:32PM +0100, Mark Wielaard wrote:
> > Even if you could use libasm.h, linking with libasm always was kind
> > of
> > useless since there was no supported way to create an Ebl handle.
> > Unless you statically linked with libebl, which was never supported and
> > might still not work since it might conflict with changes in the libebl
> > linked to by libasm/libdw.
> > 
> > In fact our own elfutils.spec doesn't even install it. But sadly some
> > distros (including Fedora... my fault) do install it.
> > 
> > Short term I propose the attached patch.
> 
> Thanks, it works: the packaging check that used to complain about
> compilation error in installed libasm.h turns green when this patch
> is applied.

Great. I pushed it to master.

Thanks,

Mark


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]